Subject: bug#15829: Opening nnfolder server on archive...failed

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 05 Feb 2014 18:29:34 -0800

Sam Steingold <[email-masked]> writes:

>> (defvoo nnfolder-directory (expand-file-name message-directory)
>>   "The name of the nnfolder directory.")
>
> nnfolder-directory
> ==> "/home/sds/Mail/archive"
>
> message-directory (customized to gnus-directory in .emacs)
> ==> "/Users/sds/Mail/"
>
> gnus-directory (customized in .emacs)
> ==> "/Users/sds/Mail/"
>
> (assq 'nnfolder-directory (third (assq 'nnfolder nnoo-definition-alist)))
> ==> (nnfolder-directory . "/Users/sds/Mail/")

Hm.  If you list the servers (with `^' in the group buffer), do you get
any nnfolder servers there that contains the offending setting?

>> Anyway, could you set `debug-on-error' to t and post the backtrace you
>> get?  It shouldn't be trying to create any directories on open, I think...
>
> I always run with debug-on-error==t; however, gnus, apparently, handles
> the error.

Uhm, yeah.  And I see from the code what the culprit is pretty easily:

(deffoo nnfolder-open-server (server &optional defs)
  (nnoo-change-server 'nnfolder server defs)
  (nnmail-activate 'nnfolder t)
  (gnus-make-directory nnfolder-directory)

So the question is more why Gnus thinks that it should mess with
nnfolder anyway...

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/